Bug 221850 - [PATCH] databases/sqlite3: update to 3.20.1
Summary: [PATCH] databases/sqlite3: update to 3.20.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-08-27 09:45 UTC by Pavel Volkov
Modified: 2017-09-03 10:56 UTC (History)
2 users (show)

See Also:


Attachments
patch (1.70 KB, patch)
2017-08-27 09:45 UTC, Pavel Volkov
pavelivolkov: maintainer-approval+
Details | Diff
poudriere log (31.59 KB, text/plain)
2017-08-27 09:48 UTC, Pavel Volkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2017-08-27 09:45:28 UTC
Created attachment 185802 [details]
patch

Update to version 3.20.1 (Fix a potential memory leak in the new sqlite3_result_pointer() interface).

Remove optimization flag. Thanks Anton Sayetsky. See: (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221834).

In the SHA1 target. Compares variable SHA1 (from the command line call) with file of the distribution. It's more friendly used.
Comment 1 Pavel Volkov 2017-08-27 09:48:01 UTC
Created attachment 185803 [details]
poudriere log
Comment 2 commit-hook freebsd_committer 2017-08-27 18:29:32 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Aug 27 18:28:45 UTC 2017
New revision: 448834
URL: https://svnweb.freebsd.org/changeset/ports/448834

Log:
  Update to 3.20.1

  - Remove optimization flag [1]
  - Update sha1:

  Changes:	https://www.sqlite.org/releaselog/3_20_1.html
  PR:		221850
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)
  Submitted by:	Anton Sayetsky <vsasjason@gmail.com> [1]

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-08-27 18:30:07 UTC
Committed. Thanks!
Comment 4 Anton Saietskii 2017-08-30 14:25:18 UTC
BTW, why {READ|EDIT}LINE group uses OPTIONS_GROUP? I think these options is much better candidates for OPTIONS_{SINGLE|RADIO}.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-08-30 16:03:50 UTC
(In reply to Anton Sayetsky from comment #4)

I agree with you. Could you please submit a new PR for this? Thanks.
Comment 6 Pavel Volkov 2017-09-03 10:56:00 UTC
(In reply to Po-Chuan Hsieh from comment #5)
Hello.
I added PR for this request.
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=222021
Please, see it.
Thanks.